## avidemux-dmo 2.7.8+20210927.git6595680c4

=== avidemux/cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

PROJECT(Avidemux_CLI)

SET(AVIDEMUX_API_VERSION 2.7)

MESSAGE("")
MESSAGE("#########################################")
MESSAGE("Configure for avidemux Cli Started")
MESSAGE("#########################################")
MESSAGE("")

MESSAGE(STATUS "Checking for avidemux development files ..")

IF(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "")
else(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "${FAKEROOT}/")
endif(NOT FAKEROOT)

SET(ADM_HEADER_DIR ${AVIDEMUX_FAKEROOT}${CMAKE_INSTALL_PREFIX}/include/avidemux/${AVIDEMUX_API_VERSION})
SET(ADM_CMAKE_DIR  ${ADM_HEADER_DIR}/cmake)
# Common definitions...
SET(CMAKE_MODULE_PATH "${ADM_CMAKE_DIR}" "${CMAKE_MODULE_PATH}")
MESSAGE(STATUS  "Checking for avidemux include folder (i.e. CMAKE_INSTALL_PREFIX/include/avidemux/${AVIDEMUX_API_VERSION}")
if(NOT EXISTS "${ADM_HEADER_DIR}")
        MESSAGE(STATUS  "Make sure you installed all the files.\n i cannot find avidemux include folder.cmake .\nSet CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_HEADER_DIR}")

MESSAGE(STATUS "Found avidemux include folder. good.")
MESSAGE(STATUS "Checking for cmake subfolder")

if(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
        MESSAGE(STATUS  "Make sure you installed all the files.\n I cannot find content of the cmake subfolder .\n")
        MESSAGE(STATUS  "Set CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(STATUS  "I was looking for commonCmakeApplication.cmake in  ${ADM_CMAKE_DIR}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
MESSAGE(STATUS "Found cmake subfolder.good.")


include(commonCmakeApplication)
INCLUDE(admWindRes)

##########################################
# Config
##########################################
ADD_DEFINITIONS(-DADM_UI_TYPE_BUILD=ADM_UI_CLI)
SET(CONFIG_HEADER_TYPE ADM_BUILD_CLI)
SET(UI_SUFFIX cli)

CONFIGURE_FILE("${ADM_CMAKE_DIR}/config.h.cmake" "${CMAKE_BINARY_DIR}/config/cli/config.h")
MESSAGE(STATUS "CLI config.h generated")

INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/config/cli/")

########################################
# Add subdirectories 
########################################
ADD_SUBDIRECTORY(../common ./common)
ADD_SUBDIRECTORY(ADM_UIs ./ADM_UIsCli)
ADD_SUBDIRECTORY(ADM_userInterfaces ./ADM_userInterfacesCli)

SDLify(../common/main.cpp)
if (ADM_SUBVERSION)
        ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_SUBVERSION=\"${ADM_SUBVERSION}\"")
endif (ADM_SUBVERSION)
ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_VERSION=\"${AVIDEMUX_VERSION}\"")

###########################################
# Version Info
###########################################
if (WIN32)
        WINDRESIFY(mainCLI  "${CMAKE_CURRENT_SOURCE_DIR}/../common/xpm/adm.ico" src "avidemux_cli" "Avidemux Video Editor, CLI Version")
        SET(ADM_EXE_SRCS ${ADM_EXE_SRCS} ${src})
endif (WIN32)

###########################################
# Executable
###########################################
include_directories("${PTHREAD_INCLUDE_DIR}")
ADD_EXECUTABLE(avidemux3_cli ${ADM_EXE_SRCS})

###########################################
# Construct common libraries
###########################################
FOREACH (_libName ${commonLibs1})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${commonLibs1})

TARGET_LINK_LIBRARIES(avidemux3_cli ADM_filtersCli6)

FOREACH (_libName ${commonLibs2})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${commonLibs2})

FOREACH (_libName ${coreLibs})
        TARGET_LINK_LIBRARIES(avidemux3_cli ${_libName})
ENDFOREACH (_libName ${coreLibs})

#############################################
# Add gtk specific libs
#############################################
TARGET_LINK_LIBRARIES(avidemux3_cli
	ADM_UI_Cli6
	ADM_dialogCli6
	ADM_toolkit6
	ADM_coreAudio6
	ADM_coreUtils6
	ADM_gui2Cli6
	ADM_toolkitCli6
	ADM_shellCli
)

###########################################
# External libs
###########################################
# gettext
IF (GETTEXT_FOUND)
	TARGET_LINK_LIBRARIES(avidemux3_cli ${GETTEXT_LIBRARY_DIR})
ENDIF (GETTEXT_FOUND)


# SDL
IF (USE_SDL)
        TARGET_LINK_LIBRARIES(avidemux3_cli ${SDL2_LIBRARY} ${SDL2_MAIN})
ENDIF (USE_SDL)

###########################################
# OS Specific
###########################################
if (WIN32 OR APPLE)
	set_property(TARGET avidemux3_cli PROPERTY OUTPUT_NAME avidemux_cli)
endif (WIN32 OR APPLE)

IF (MINGW)
	target_link_libraries(avidemux3_cli winmm -mwindows -Wl,-subsystem,console -Wl,--export-all-symbols)
ENDIF (MINGW)

###########################################
# Install
###########################################
ADM_LINK_THREAD(avidemux3_cli)
ADM_INSTALL_BIN(avidemux3_cli)

DISPLAY_SUMMARY_LIST()

include(admPackager)
admPackager(cliPackage)
INSTALL(FILES ${CMAKE_BINARY_DIR}/config/cli/config.h DESTINATION "${AVIDEMUX_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli" COMPONENT dev) 
INSTALL(FILES ${CMAKE_SOURCE_DIR}/ADM_UIs/include/ADM_UI_Cli6_export.h DESTINATION "${AVIDEMUX_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/cli/ADM_UIs" COMPONENT dev) 
MESSAGE("")

=== avidemux/qt4/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

PROJECT(Avidemux_Qt)

SET(AVIDEMUX_API_VERSION 2.7)

MESSAGE("")
MESSAGE("#########################################")
MESSAGE("Configure for Avidemux Qt Started")
MESSAGE("#########################################")
MESSAGE("")
#fedora 
ADD_DEFINITIONS("-std=c++11")
MESSAGE(STATUS "Checking for avidemux development files ..")

IF(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "")
else(NOT FAKEROOT)
	SET(AVIDEMUX_FAKEROOT "${FAKEROOT}/")
endif(NOT FAKEROOT)


IF(WIN32)
        IF(MSVC) 
                include(adm_win32_vs.cmake)
        ELSE(MSVC)
                include(adm_win32_mingw.cmake)
        ENDIF(MSVC)
ELSE(WIN32)
        IF(APPLE)
                include(adm_osx.cmake)
        ELSE(APPLE)
                include(adm_default.cmake)
        ENDIF(APPLE)
ENDIF(WIN32)
#-----------------------------------
# Set extra libs, system dependant
#-----------------------------------
ADM_PREBUILD()
#
#
SET(ADM_HEADER_DIR ${AVIDEMUX_FAKEROOT}${CMAKE_INSTALL_PREFIX}/include/avidemux/${AVIDEMUX_API_VERSION})
SET(ADM_CMAKE_DIR  ${ADM_HEADER_DIR}/cmake)
# Common definitions...
SET(CMAKE_MODULE_PATH "${ADM_CMAKE_DIR}" "${CMAKE_MODULE_PATH}")
MESSAGE(STATUS  "Checking for avidemux include folder (i.e. CMAKE_INSTALL_PREFIX/include/avidemux/${AVIDEMUX_API_VERSION}, looking in ${ADM_HEADER_DIR}")
if(NOT EXISTS "${ADM_HEADER_DIR}")
        MESSAGE(STATUS  "Make sure you installed all the files.\n i cannot find avidemux include folder.cmake .\nSet CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_HEADER_DIR}")

MESSAGE(STATUS "Found avidemux include folder. good.")
MESSAGE(STATUS "Checking for cmake subfolder")

if(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
        MESSAGE(STATUS  "Make sure you installed all the files.\n I cannot find content of the cmake subfolder .\n")
        MESSAGE(STATUS  "Set CMAKE_INSTALL_PREFIX to the install folder, current value is ${CMAKE_INSTALL_PREFIX}")
        MESSAGE(STATUS  "I was looking for commonCmakeApplication.cmake in  ${ADM_CMAKE_DIR}")
        MESSAGE(FATAL_ERROR  "Aborting")
endif(NOT EXISTS "${ADM_CMAKE_DIR}/commonCmakeApplication.cmake")
MESSAGE(STATUS "Found cmake subfolder.good.")

include(commonCmakeApplication)
include(../admAppSettings.cmake)
INCLUDE(admCheckQt)
INCLUDE(admWindRes)

MESSAGE(STATUS "Checking Qt")
checkQt()

IF (NOT QT_FOUND)
	MESSAGE(FATAL_ERROR "Qt NOT FOUND")
ENDIF (NOT QT_FOUND)

# Qt4 openGL
include(admCheckOpenGl)
#
#--
MESSAGE(STATUS "Adding Qt inc paths : <${QT_INCLUDES}> and definitions <${QT_DEFINITIONS}>")
INCLUDE_DIRECTORIES(${QT_INCLUDES})
ADD_DEFINITIONS(${QT_DEFINITIONS})
#--

#
##########################################
# Config
##########################################
ADD_DEFINITIONS(-DADM_UI_TYPE_BUILD=ADM_UI_QT4)
SET(CONFIG_HEADER_TYPE ADM_BUILD_QT4)
SET(UI_SUFFIX ${QT_EXTENSION})

CONFIGURE_FILE("${ADM_CMAKE_DIR}/config.h.cmake" "${CMAKE_BINARY_DIR}/config/${QT_EXTENSION}/config.h")
MESSAGE(STATUS "${QT_EXTENSION} config.h generated")

INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/config/${QT_EXTENSION}/")


###########################################
# Add job control
###########################################
    ADD_SUBDIRECTORY(ADM_jobs)
ADD_SUBDIRECTORY(ADM_update)
IF(USE_OPENGL)
    ADD_SUBDIRECTORY(ADM_openGL)
ENDIF(USE_OPENGL)

###########################################
# Custom fixed width font for time display
###########################################
if (NOT WIN32)
        SET(USE_CUSTOM_TIME_DISPLAY_FONT 1)
endif (NOT WIN32)

########################################
# Add common as a symlink or directly
########################################
INCLUDE_DIRECTORIES(ADM_UIs/include/)

if (WIN32 AND NOT CROSS)
	ADD_SUBDIRECTORY(../common ./commonQt4)
else (WIN32 AND NOT CROSS)
	# Make symlink else eclipe and kdev4 are puzzled by the tree structure
	# Not needed for plain build
	MESSAGE(STATUS "Creating common symlink in ${CMAKE_CURRENT_SOURCE_DIR}")

	execute_process(COMMAND rm -f common
                                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
	execute_process(COMMAND ln -s ../common .
                                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

	ADD_SUBDIRECTORY(common ./commonQt4)
endif (WIN32 AND NOT CROSS)

# Add misc subdirs
ADD_SUBDIRECTORY(ADM_UIs ./ADM_UIsQt4)
ADD_SUBDIRECTORY(ADM_userInterfaces ./ADM_userInterfaces${QT_LIBRARY_EXTENSION})

SDLify(../common/main.cpp)
if (ADM_SUBVERSION)
        ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_SUBVERSION=\"${ADM_SUBVERSION}\"")
endif (ADM_SUBVERSION)
ADD_SOURCE_CFLAGS(../common/main.cpp "-DADM_VERSION=\"${AVIDEMUX_VERSION}\"")
ADD_SOURCE_CFLAGS(../common/main.cpp "-DQT_FLAVOR=\"${QT_EXTENSION}\"")

###########################################
# Icon for windows
###########################################
if (WIN32 )
        WINDRESIFY(mainQt  "${CMAKE_CURRENT_SOURCE_DIR}/../common/xpm/adm.ico" src "avidemux" "Avidemux Video Editor")
        SET(ADM_EXE_SRCS ${ADM_EXE_SRCS} ${src})
endif (WIN32)

###########################################
# Executable
###########################################
include_directories("${PTHREAD_INCLUDE_DIR}")

ADM_MAIN_APP()

###########################################
# Construct common libraries
###########################################
FOREACH (_libName ${commonLibs1})
        TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${_libName})
ENDFOREACH (_libName ${commonLibs1})

FOREACH (_libName ${commonLibs2})
        TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${_libName})
ENDFOREACH (_libName ${commonLibs2})

FOREACH (_libName ${coreLibs})
	TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${_libName})
ENDFOREACH (_libName ${coreLibs})



#############################################
# Add qt specific libs
#############################################
TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION}
	ADM_gui${QT_LIBRARY_EXTENSION}
	ADM_filters${QT_LIBRARY_EXTENSION}
	ADM_UI${QT_LIBRARY_EXTENSION}6
	ADM_dialogQt4
        ADM_update${QT_LIBRARY_EXTENSION}6
	ADM_internalVideoFilter6
	ADM_UI${QT_LIBRARY_EXTENSION}6
	ADM_gui${QT_LIBRARY_EXTENSION}
	ADM_UI_${QT_LIBRARY_EXTENSION}6
	ADM_shell${QT_LIBRARY_EXTENSION}
	ADM_toolkit6
	ADM_coreAudio6
	ADM_coreAudioDevice6
	ADM_coreVideoEncoder6
	ADM_osSupport6
)

###########################################
# External libs
###########################################
# gettext
IF (GETTEXT_FOUND)
	TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${GETTEXT_LIBRARY_DIR})
ENDIF (GETTEXT_FOUND)


# SDL
IF (USE_SDL)
	TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${SDL2_LIBRARY} ${SDL2_MAIN})
ENDIF (USE_SDL)


###########################################
# UI Specific
###########################################
TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${PTHREAD_LIBRARIES})

TARGET_LINK_LIBRARIES(avidemux3_${QT_EXTENSION} ${PlatformLibs})

#
# i18n
#
ADD_SUBDIRECTORY(i18n)
ADM_LINK_THREAD(avidemux3_${QT_EXTENSION})
###########################################
# Install
###########################################

DISPLAY_SUMMARY_LIST()

ADM_POSTBUILD()
include(admPackager)
admPackager(qt4Package)
INSTALL(FILES ${CMAKE_BINARY_DIR}/config/${QT_EXTENSION}/config.h DESTINATION "${AVIDEMUX_INCLUDE_DIR}/avidemux/${AVIDEMUX_API_VERSION}/${QT_EXTENSION}" COMPONENT dev)


# install headers
ADM_INSTALL_QT_INCLUDE_FOLDER("${CMAKE_CURRENT_SOURCE_DIR}/ADM_openGL/include/"  ADM_openGL)
ADM_INSTALL_QT_INCLUDE_FOLDER("${CMAKE_CURRENT_SOURCE_DIR}/ADM_UIs/include/"  ADM_UIs)

# install XDG metadata
if(UNIX AND NOT APPLE)
	add_subdirectory(xdg_data)
endif()

#
MESSAGE("")

=== avidemux_plugins/ADM_videoEncoder/x265/CMakeLists.txt ===

INCLUDE(ve_plugin)
INCLUDE(ve_settings_plugin)



SET(x265_SRCS 
        ADM_x265.cpp
        ADM_x265Plugin.cpp
        ADM_x265Setup.cpp
        x265_settings_json.cpp
)
include(admCheckX265)
checkX265()
IF(USE_X265)

  MESSAGE(STATUS "x265 plugin activated, with cflags=${X265_CFLAGS}.")
  ADD_DEFINITIONS(${X265_CFLAGS})
  INCLUDE_DIRECTORIES(${X265_INCLUDE_DIR})

  #-----------------------QT4 VERSION---------------------
  INCLUDE(ve_plugin_qt4)
  if(DO_QT4)
    SET(ADM_ve_x265_QT4_SRCS    qt4/Q_x265.cpp)
    SET(ADM_ve_x265_QT4_Headers qt4/Q_x265.h)
    SET(ADM_ve_x265_QT4_UI      qt4/x265ConfigDialog)
    ADD_VIDEO_ENCODER_QT4(ADM_ve_x265_${QT_LIBRARY_EXTENSION}   ${ADM_ve_x265_QT4_SRCS} ${ADM_ve_x265_QT4_Headers} ${ADM_ve_x265_QT4_UI} ${x265_SRCS})
    TARGET_LINK_LIBRARIES(ADM_ve_x265_${QT_LIBRARY_EXTENSION} "${X265_LIBRARY_DIR}")
    TARGET_LINK_LIBRARIES(ADM_ve_x265_${QT_LIBRARY_EXTENSION} ADM_core6)
    INIT_VIDEO_ENCODER(ADM_ve_x265_${QT_LIBRARY_EXTENSION})
    INSTALL_VIDEO_ENCODER_QT4(ADM_ve_x265_${QT_LIBRARY_EXTENSION})
  endif(DO_QT4)
  #-----------------------/QT4 VERSION---------------------
  #-----------------------GTK or CLI VERSION---------------------
  if(DO_COMMON)
    ADD_VIDEO_ENCODER(ADM_ve_x265_other   ADM_x265_noui.cpp ${x265_SRCS})
    ADD_TARGET_CFLAGS(ADM_ve_x265_other "-DADM_UI_TYPE_BUILD=1") # CLI!
    TARGET_LINK_LIBRARIES(ADM_ve_x265_other "${X265_LIBRARY_DIR}")
    TARGET_LINK_LIBRARIES(ADM_ve_x265_other ADM_core6)
    INIT_VIDEO_ENCODER(ADM_ve_x265_other)
    INSTALL_VIDEO_ENCODER(ADM_ve_x265_other)
  endif(DO_COMMON)
  # ------------- PRESET -----------
  if(DO_SETTINGS)
    FILE(GLOB json_files ${CMAKE_CURRENT_SOURCE_DIR}/preset/*.json)
    if(json_files)
      message(STATUS "Presets found : ${json_files}")
      INSTALL_VIDEO_ENCODER_SETTINGS(x265 VERSION 3 FILES ${json_files})
    endif(json_files)
  endif(DO_SETTINGS)
ELSE(USE_X265)
  MESSAGE(STATUS "x265 disabled.")
ENDIF(USE_X265)

MESSAGE("")

=== avidemux_plugins/ADM_videoFilters6/mplayerDelogo/CMakeLists.txt ===
#
INCLUDE(vf_plugin)
#SET(RUBBER_HINT 1)

MACRO(addDeps tgt)
        TARGET_LINK_LIBRARIES(${tgt} ADM_libswscale)
        TARGET_LINK_LIBRARIES(${tgt} ADM_libavcodec)
        TARGET_LINK_LIBRARIES(${tgt} ADM_libavutil)
ENDMACRO(addDeps tgt)

IF(DO_QT4)
    IF(ADM_QT_VERSION EQUAL 4)
        SET(QT_TAG qt4)
    ELSE(ADM_QT_VERSION EQUAL 4)
        SET(QT_TAG qt5)
        IF(RUBBER_HINT)
            ADM_QT_ADD_RESOURCES(resource qt5/delogo.qrc)
        ENDIF(RUBBER_HINT)
    ENDIF(ADM_QT_VERSION EQUAL 4)
ENDIF(DO_QT4)


SET(mpdelogoCommon_SRCS 
ADM_vidMPdelogo.cpp
)
# ---------- QT4 Version ----------------
INCLUDE(vf_plugin_qt4)
SET(mpdelogoQT_SRCS  ${QT_TAG}/Q_mpdelogo.cpp )
SET(mpdelogoQT_HEADERS  ${QT_TAG}/Q_mpdelogo.h)
SET(mpdelogoQT_UI    ${QT_TAG}/mpdelogo)
IF(DO_QT4)
  IF(${ADM_QT_VERSION} EQUAL 5 AND RUBBER_HINT)
        ADD_DEFINITIONS(-DUSAGE_HINT)
  ENDIF(${ADM_QT_VERSION} EQUAL 5 AND RUBBER_HINT)
  INIT_VIDEO_FILTER_QT4(ADM_vf_mpdelogo${QT_LIBRARY_EXTENSION} ${mpdelogoQT_SRCS} ${mpdelogoQT_HEADERS} ${mpdelogoQT_UI} ${mpdelogoCommon_SRCS} ${QT_TAG}/DIA_flyMpDelogo.cpp ${resource})
  addDeps(ADM_vf_mpdelogo${QT_LIBRARY_EXTENSION})
ENDIF(DO_QT4)
# /QT4


#------------ Cli Version ----------------
INCLUDE(vf_plugin_cli)
SET(mpdelogoCli_SRCS cli/DIA_mpdelogo.cpp)
IF(DO_CLI)
  INIT_VIDEO_FILTER_CLI(  ADM_vf_mpdelogoCli ${mpdelogoCli_SRCS} ${mpdelogoCommon_SRCS})
  addDeps(ADM_vf_mpdelogoCli)
ENDIF(DO_CLI)
##%%%%%%%%%%%%%%%%%%

=== avidemux/qt4/ADM_userInterfaces/ADM_dialog/CMakeLists.txt ===
include(admFFmpegVersion)
SET(ADM_LIB ADM_dialogQt4)

SET(
        uiFiles
        about.ui
#calculator.ui
        encoding.ui
        license.ui
        jobs.ui
        props.ui
#vobsub.ui
        audioTracks.ui
        processing.ui
        working.ui)

SET(headers
        Q_about.h
#Q_calculator.h
        Q_encoding.h
        Q_audioTracks.h
        Q_audioTrackClass.h
        Q_license.h
        Q_jobs.h
        Q_props.h
#Q_vobsub.h
        Q_working.h
        Q_processing.h
#T_index_pg.h
)

ADM_QT_WRAP_UI(${ADM_LIB}_headers ${uiFiles})
ADM_QT_WRAP_CPP(${ADM_LIB}_source ${headers})
ADM_QT_ADD_RESOURCES(${ADM_LIB}_resource  about.qrc)
ADD_DEFINITIONS(-DADM_FFMPEG_VERSION=\"${FFMPEG_VERSION}\")
SET(${ADM_LIB}_SRCS ${${ADM_LIB}_SRCS}
	${${ADM_LIB}_headers}  ${${ADM_LIB}_source}  ${${ADM_LIB}_resource}
        Q_about.cpp
        Q_license.cpp
        Q_jobs.cpp
        Q_props.cpp
        Q_working.cpp
        Q_processing.cpp
#T_index_pg.cpp
        alert_qt4.cpp
#DIA_busy.cpp
        DIA_none.cpp
#DIA_xvid4.cpp  OCR_none.cpp
#Q_vobsub.cpp
#Q_calculator.cpp
        Q_encoding.cpp
        Q_audioTracks.cpp
)

if (ADM_SUBVERSION)
        ADD_DEFINITIONS(-DADM_SUBVERSION=\"${ADM_SUBVERSION}\")
endif (ADM_SUBVERSION)
ADD_DEFINITIONS(-DADM_VERSION=\"${AVIDEMUX_VERSION}\")
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/avidemux/ADM_UIs/ADM_QT4/include")
include_directories("${CMAKE_SOURCE_DIR}/../common/ADM_script2/include")
ADD_LIBRARY(${ADM_LIB} STATIC ${${ADM_LIB}_SRCS})

=== debian/changelog ===
avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u4) oldstable; urgency=medium

  * Update included ffmpeg to 4.2.11
  * Fixes following vulnerabilities: CVE-2023-49502, CVE-2025-0518 and
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 May 2025 16:31:22 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u3) oldstable; urgency=medium

  * Update included ffmpeg to 4.2.10
    Fix CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 11:52:48 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u2) stable; urgency=medium

  * Update included ffmpeg to 4.2.9
    Fixes following vulnerabilities: CVE-2022-3109, CVE-2020-20451,
    CVE-2020-21041, CVE-2020-22020, CVE-2020-22022, CVE-2020-22023,
    CVE-2020-22025, CVE-2020-22026, CVE-2020-22028, CVE-2020-22031,
    CVE-2020-22032, CVE-2020-22036, CVE-2020-22041, CVE-2020-22044,
    CVE-2020-22048, CVE-2020-20891, CVE-2020-20892, CVE-2020-20896,
    CVE-2020-22027, CVE-2020-20446, CVE-2020-20453, CVE-2020-22015,
    CVE-2020-22019, CVE-2020-22021, CVE-2020-22037, CVE-2020-23906,
    CVE-2020-35964, CVE-2020-35965, CVE-2021-38114, CVE-2021-38171,
    CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Apr 2023 07:59:35 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo0+deb11u1) stable; urgency=medium

  * New upstream snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 11:31:06 +0200

avidemux-dmo (1:2.7.8+20210616.gitdc323dac9-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.7.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jun 2021 12:54:35 +0200

avidemux-dmo (1:2.7.8-dmo5) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 08:08:03 +0200

avidemux-dmo (1:2.7.8-dmo4) unstable; urgency=medium

  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 17:59:48 +0200

avidemux-dmo (1:2.7.8-dmo3) unstable; urgency=medium

  * Build with libx265-199

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Apr 2021 15:35:46 +0200

avidemux-dmo (1:2.7.8-dmo2) unstable; urgency=medium

  * Build with libaom3

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Mar 2021 15:47:29 +0100

avidemux-dmo (1:2.7.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 08:19:36 +0100

avidemux-dmo (1:2.7.6-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.2.4 fix CVE-2020-13904
  * Build Conflicts nv-codec-headers for arm64, armel, armhf and powerpc
    architectures otherwise the build fail.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jul 2020 10:17:51 +0200

avidemux-dmo (1:2.7.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Jul 2020 08:59:27 +0200

avidemux-dmo (1:2.7.4-dmo9) unstable; urgency=medium

  * Build with libx265-192

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 08:35:35 +0200

avidemux-dmo (1:2.7.4-dmo8) unstable; urgency=medium

  * Build with libx264-160

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Apr 2020 09:59:59 +0200

avidemux-dmo (1:2.7.4-dmo7) unstable; urgency=medium

  * Build with libx265-188

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Feb 2020 13:01:13 +0100

avidemux-dmo (1:2.7.4-dmo6) unstable; urgency=medium

  * Fix FTBFS for armel, armhf and arm64 arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2020 19:24:55 +0100

avidemux-dmo (1:2.7.4-dmo5) unstable; urgency=medium

  * Update included ffmpeg to 4.1.5 fixes CVE-2019-17539, CVE-2019-17542

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2020 15:47:44 +0100

avidemux-dmo (1:2.7.4-dmo4) unstable; urgency=medium

  * Build with libx264-159

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 13:50:58 +0100

avidemux-dmo (1:2.7.4-dmo3) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:08:26 +0200

avidemux-dmo (1:2.7.4-dmo2) unstable; urgency=medium

  * Rebuild against libx265-179

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Sep 2019 17:58:11 +0200

avidemux-dmo (1:2.7.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Aug 2019 16:20:17 +0200

avidemux-dmo (1:2.7.3-dmo5) unstable; urgency=medium

  * Rebuild against libx264-158

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Jul 2019 15:10:48 +0200

avidemux-dmo (1:2.7.3-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 4.1.4
  * This release fix CVE-2019-12730

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 09:47:32 +0200

avidemux-dmo (1:2.7.3-dmo3) unstable; urgency=medium

  * Rebuild against libx265-176

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Jun 2019 07:39:35 +0200

avidemux-dmo (1:2.7.3-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2019 14:38:04 +0200

avidemux-dmo (1:2.7.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Mar 2019 01:49:04 +0100

avidemux-dmo (1:2.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Mar 2019 10:56:55 +0100

avidemux-dmo (1:2.7.1-dmo7) unstable; urgency=medium

  * Disable AVSProxy. This proxy is only available under Windows.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Mar 2019 09:05:37 +0100



=== debian/control ===
Source: avidemux-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://fixounet.free.fr/avidemux/
Standards-Version: 4.5.1
Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [arm64 armel armhf powerpc]
Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
 libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
 libxml2-dev, libasound2-dev [linux-any], libsdl-dev, libxv-dev, libxmu-dev,
 libvdpau-dev, libfaac-dev (>= 1.24), libfaad-dev (>= 2.7), libass-dev,
 cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
 libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
 yasm [any-amd64 any-i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
 libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig1-dev,
 libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
 libpython3-dev, libqt5opengl5-dev, qtscript5-dev, libx265-dev (>= 1:2.8~),
 nv-codec-headers [amd64 i386], libaom-dev

Package: avidemux
Architecture: any
Depends: ${misc:Depends}, avidemux-qt
Description: Free video editor
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package install the QT version.

Package: avidemux-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version})
Recommends: mjpegtools, twolame, lame
Replaces: avidemux (<< 1:2.5.6-dmo11)
Provides: avidemux
Description: Free video editor (QT version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the QT version.

Package: avidemux-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avidemux-common, avidemux-plugins (>= ${source:Version})
Recommends: mjpegtools, twolame, lame
Provides: avidemux
Description: Free video editor (command line version)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains the command line version.

Package: avidemux-common
Architecture: all
Replaces: avidemux (<= 1:2.4.0-0.0)
Depends: ${misc:Depends}
Description: Free video editor (Internationalization files)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package contains internationalization files needed to translate
 strings in avidemux to others languages.

Package: avidemux-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libavidemux, avidemux (<= 1:2.5.1-0.4)
Conflicts: libavidemux
Description: Free video editor (plugins)
 Avidemux is a free video editor designed for simple cutting, filtering and
 encoding tasks. It supports many file types, including AVI, DVD compatible
 MPEG files, MP4 and ASF, using a variety of codecs. Tasks can be automated
 using projects, job queue and powerful scripting capabilities.
 .
 This package includes plugins to extend the functionality of Avidemux.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
	ifeq ($(NCPUS),-1)
		NCPUS:=1
	endif
	ifeq ($(NCPUS),0)
		NCPUS:=1
	endif
endif

CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true -DUSE_EXTERNAL_LIBA52=true \
	-DUSE_EXTERNAL_LIBMAD=true -DUSE_EXTERNAL_MP4V2=true -DENABLE_QT5=True \
	-DCMAKE_BUILD_TYPE=Release -DVAPOURSYNTH=OFF

##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False

# git clone https://github.com/mean00/avidemux2_i18n avidemux/qt4/i18n/

FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)

ifneq "$(FFMPEG_VERSION)" "4.2.4"
	exit 1
endif

LOCAL_FFMPEG = 4-2-11

export QT_SELECT=5

%:
	dh $@ -Scmake --with quilt -X.h -X.cmake

override_dh_auto_configure:
	mkdir -p buildCore/ffmpeg/build
	mkdir buildCore/ffmpeg/source
	touch buildCore/ffmpeg/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	touch avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2
	cp -r ffmpeg-$(LOCAL_FFMPEG)/* buildCore/ffmpeg/source

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCore -Davidemux_core -- \
	$(CONFIGURE_OPTIONS) -Wno-dev

#	exit 1

	cd buildCore && $(MAKE) -j $(NCPUS)
	dh_auto_install -BbuildCore

#	exit 1

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt -Davidemux/qt4 -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildQt
	dh_auto_install -BbuildQt

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCommon -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=COMMON -Wno-dev

	dh_auto_build -BbuildPluginsCommon
	dh_auto_install -BbuildPluginsCommon

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildCli -Davidemux/cli -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev

	dh_auto_build -BbuildCli
	dh_auto_install -BbuildCli

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=QT4 -Wno-dev

	dh_auto_build -BbuildPluginsQt
	dh_auto_install -BbuildPluginsQt

	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCLI -Davidemux_plugins -- \
	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=CLI -Wno-dev

	dh_auto_build -BbuildPluginsCLI
	dh_auto_install -BbuildPluginsCLI

override_dh_install:
	rm -rf debian/tmp/usr/lib/ADM_plugins6/shaderDemo/
	rm -rf debian/tmp/usr/include/avidemux

	dh_install

override_dh_auto_clean:
	dh_auto_clean -BbuildCore
	dh_auto_clean -BbuildQt
	dh_auto_clean -BbuildCli
	dh_auto_clean -BbuildPluginsCommon
	dh_auto_clean -BbuildPluginsQt
	dh_auto_clean -BbuildPluginsCLI

override_dh_clean:
	dh_clean addons/avisynthproxy/avsproxy.exe avidemux/winInstaller/plugin/UAC.dll \
	avidemux_plugins/ADM_demuxers/NativeAvisynth/AviSynth.dll \
	avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml \
	avidemux/qt4/common avidemux_core/ffmpeg_package/ffmpeg-$(FFMPEG_VERSION).tar.bz2 \
	avidemux_plugins/ADM_videoFilters6/avsfilter/avsload_pipe_binary.tar.bz2

override_dh_makeshlibs:
	dh_makeshlibs -a -V

# uncomment to debug avidemux
#override_dh_strip:

override_dh_prep override_dh_auto_build override_dh_auto_install override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/beta1|r7200-win|sdk_|_win32//" \
https://sf.net/avidemux/avidemux_(.*)@ARCHIVE_EXT@

## avidemux-dmo 2.8.1+20221010.gitccd3df5cb

=== debian/changelog ===
avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+6) oldstable-backports; urgency=medium

  * Update included ffmpeg to 4.4.6: Fixes CVE-2023-49502, CVE-2025-0518,
    CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Jun 2025 08:42:42 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+5) oldstable-backports; urgency=medium

  * Really build with libx264-165
  * Update included ffmpeg to 4.4.5: Fixes CVE-2024-7055 and CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 16:46:50 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+4) oldstable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 09:28:58 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+3) oldstable-backports; urgency=medium

  * Build with libx265-209

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 17:04:59 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+2) stable-backports; urgency=medium

  * Update included ffmpeg to 4.4.4
    Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Apr 2023 12:53:15 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo0~bpo11+1) stable-backports; urgency=medium

  * New git snapshot from origin/support_2.8.1
  * Update internal ffmpeg to 4.4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Oct 2022 16:38:26 +0200

avidemux-dmo (1:2.8.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Sep 2022 08:35:32 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Feb 2022 14:59:19 +0100

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Feb 2022 00:42:43 +0100

avidemux-dmo (1:2.8.0+20220201.gitb34a5061f-dmo1) unstable; urgency=medium

  * Start to package git branch called origin/support_2.8.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Feb 2022 14:55:14 +0100

avidemux-dmo (1:2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Dec 2021 11:02:13 +0100

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo2) unstable; urgency=medium

  * Build with libvpx7

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:24:00 +0200

avidemux-dmo (1:2.7.8+20210927.git6595680c4-dmo1) unstable; urgency=medium

  * New upstream snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 11:05:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://fixounet.free.fr/avidemux/
-Standards-Version: 4.5.1
-Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [arm64 armel armhf powerpc]
+Standards-Version: 4.6.0
+Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [armel armhf powerpc]
 Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
  libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
  libxml2-dev, libasound2-dev [linux-any], libsdl-dev, libxv-dev, libxmu-dev,
@@ -13,10 +13,10 @@
  cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
  libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
  yasm [any-amd64 any-i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
- libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig1-dev,
+ libfribidi-dev, libx264-dev (>= 4:0.165~), libva-dev, libfontconfig1-dev,
  libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
  libpython3-dev, libqt5opengl5-dev, qtscript5-dev, libx265-dev (>= 1:2.8~),
- nv-codec-headers [amd64 i386], libaom-dev
+ nv-codec-headers [amd64 arm64], libaom-dev
 
 Package: avidemux
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,19 +16,20 @@
 
 CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true -DUSE_EXTERNAL_LIBA52=true \
 	-DUSE_EXTERNAL_LIBMAD=true -DUSE_EXTERNAL_MP4V2=true -DENABLE_QT5=True \
-	-DCMAKE_BUILD_TYPE=Release -DVAPOURSYNTH=OFF
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo -DVAPOURSYNTH=OFF
 
 ##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False
 
 # git clone https://github.com/mean00/avidemux2_i18n avidemux/qt4/i18n/
+# rm -rf avidemux/qt4/i18n/.git
 
 FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)
 
-ifneq "$(FFMPEG_VERSION)" "4.2.4"
+ifneq "$(FFMPEG_VERSION)" "4.4.2"
 	exit 1
 endif
 
-LOCAL_FFMPEG = 4-2-11
+LOCAL_FFMPEG = 4-4-6
 
 export QT_SELECT=5
 
@@ -52,11 +53,11 @@
 
 #	exit 1
 
-	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt -Davidemux/qt4 -- \
+	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildQt5 -Davidemux/qt4 -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) -Wno-dev
 
-	dh_auto_build -BbuildQt
-	dh_auto_install -BbuildQt
+	dh_auto_build -BbuildQt5
+	dh_auto_install -BbuildQt5
 
 	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCommon -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
@@ -71,12 +72,12 @@
 	dh_auto_build -BbuildCli
 	dh_auto_install -BbuildCli
 
-	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt -Davidemux_plugins -- \
+	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsQt5 -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
 	-DAVIDEMUX_SOURCE_DIR=$(CURDIR) -DPLUGIN_UI=QT4 -Wno-dev
 
-	dh_auto_build -BbuildPluginsQt
-	dh_auto_install -BbuildPluginsQt
+	dh_auto_build -BbuildPluginsQt5
+	dh_auto_install -BbuildPluginsQt5
 
 	CFLAGS="$(CFLAGS)" dh_auto_configure -BbuildPluginsCLI -Davidemux_plugins -- \
 	-DFAKEROOT=$(CURDIR)/debian/tmp $(CONFIGURE_OPTIONS) \
@@ -93,10 +94,10 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -BbuildCore
-	dh_auto_clean -BbuildQt
+	dh_auto_clean -BbuildQt5
 	dh_auto_clean -BbuildCli
 	dh_auto_clean -BbuildPluginsCommon
-	dh_auto_clean -BbuildPluginsQt
+	dh_auto_clean -BbuildPluginsQt5
 	dh_auto_clean -BbuildPluginsCLI
 
 override_dh_clean:

## avidemux-dmo 2.8.1+20250417.git0f5afee83

=== avidemux_plugins/ADM_videoDecoder/aom/CMakeLists.txt ===
INCLUDE(vd_plugin)
INCLUDE(admCheckAom)

checkAomDec()

IF (USE_AOM_DEC)
  SET(aom_SRCS
        aomDecPlugin.cpp
        ADM_aomDec.cpp
    )
  SET(PLUGIN_LIBNAME "ADM_vd_aom")
  ADD_LIBRARY(${PLUGIN_LIBNAME} SHARED ${aom_SRCS})
  TARGET_INCLUDE_DIRECTORIES(${PLUGIN_LIBNAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
  TARGET_INCLUDE_DIRECTORIES(${PLUGIN_LIBNAME} PRIVATE ${AOM_INCLUDEDIR})

  TARGET_LINK_LIBRARIES(${PLUGIN_LIBNAME} PRIVATE ${AOM_LDFLAGS})
  INIT_VIDEO_DECODER(${PLUGIN_LIBNAME})
  INSTALL_VIDEO_DECODER(${PLUGIN_LIBNAME})
ENDIF (USE_AOM_DEC)

=== avidemux_plugins/ADM_videoFilters6/ass/CMakeLists.txt ===
INCLUDE(admCheckFreeType)
INCLUDE(admCheckFribidi)
INCLUDE(admCheckFontConfig)
ADD_CORE_INCLUDE(ADM_coreSubtitles)
checkFreeType()
checkFribidi("0.19")
IF(USE_FREETYPE AND USE_FRIBIDI)
  INCLUDE(vf_plugin)
  ADD_VIDEO_FILTER(ADM_vf_ssa ADM_vidASS.cpp)

  IF(DO_COMMON)
    MESSAGE(STATUS "Checking for libass")
    MESSAGE(STATUS "*******************")
    PKG_CHECK_MODULES(LIBASS libass)
    IF(LIBASS_FOUND)
      TARGET_COMPILE_OPTIONS(ADM_vf_ssa PRIVATE ${LIBASS_CFLAGS})
      MESSAGE(STATUS "   found, lib is ${LIBASS_LIBRARIES}")
    ELSE()
      MESSAGE(FATAL_ERROR "Cant locate libass ! cancelling")
    ENDIF()
    TARGET_LINK_LIBRARIES(ADM_vf_ssa PRIVATE ${LIBASS_LIBRARIES} adm_freetype adm_fontconfig adm_fribidi  ADM_coreSubtitles6)
    TARGET_LINK_DIRECTORIES(ADM_vf_ssa PRIVATE ${LIBASS_LIBRARY_DIR} ${LIBASS_LIBRARY_DIRS})
    # We force the use of fontconfig
    TARGET_COMPILE_DEFINITIONS(ADM_vf_ssa PRIVATE "USE_FONTCONFIG")
    # Add a simple probe program, only on linux/bsd/...
    IF(WIN32 OR APPLE)
    ELSE()
      ADD_EXECUTABLE(freetype_probe probe.cpp)
      TARGET_LINK_LIBRARIES(freetype_probe PRIVATE adm_freetype  adm_fribidi  adm_fontconfig)
    ENDIF()
  ENDIF()

  INIT_VIDEO_FILTER(ADM_vf_ssa)
  INSTALL_VIDEO_FILTER(ADM_vf_ssa)
ELSE()
  MESSAGE(STATUS "Fribidi or feetype missing, skipping filter")
ENDIF()

=== debian/changelog ===
avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo0~bpo12+2) bookworm-backports; urgency=medium

  * Update included ffmpeg to 7.0.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 08:47:54 +0200

avidemux-dmo (1:2.8.1+20250417.git0f5afee83-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Apr 2025 15:12:57 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2+deb12u2) stable; urgency=medium

  * Add libglu1-mesa-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 11:08:52 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2+deb12u1) stable; urgency=medium

  * Update included ffmpeg to 4.4.5
    Fixes security issues: CVE-2024-7055 and CVE-2023-47342

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Aug 2024 10:33:18 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.4
  * Fixes various security issues: CVE-2022-3109, CVE-2022-3341,
    CVE-2022-3964

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Apr 2023 08:27:47 +0200

avidemux-dmo (1:2.8.1+20221010.gitccd3df5cb-dmo1) unstable; urgency=medium

  * New git snapshot from origin/support_2.8.1
  * Update included ffmpeg to 4.4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 01:51:38 +0200

avidemux-dmo (1:2.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Sep 2022 07:52:15 +0200

avidemux-dmo (1:2.8.0+20220207.git7293b9c7c-dmo2) unstable; urgency=medium

  * Update included ffmpeg to 4.4.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Apr 2022 15:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://fixounet.free.fr/avidemux/
-Standards-Version: 4.6.0
+Homepage: https://fixounet.free.fr/avidemux/
+Standards-Version: 4.6.2
 Build-Conflicts: libesd0-dev, liboss4-salsa-dev, nv-codec-headers [armel armhf powerpc]
 Build-Depends: debhelper-compat (= 13), libmp3lame-dev, libsqlite3-dev, libmp4v2-dev,
  libmad0-dev, liba52-dev, libvorbis-dev, libmjpegtools-dev, libxvidcore-dev,
@@ -13,10 +13,10 @@
  cmake, libsamplerate0-dev, libopencore-amrnb-dev, imagemagick, qttools5-dev,
  libdca-dev, quilt, libjack-jackd2-dev, libpulse-dev, libopencore-amrwb-dev,
  yasm [any-amd64 any-i386], xsltproc, libvpx-dev (>= 1.4.0), libaften-dev,
- libfribidi-dev, libx264-dev (>= 4:0.165~), libva-dev, libfontconfig1-dev,
+ libfribidi-dev, libx264-dev (>= 4:0.158~), libva-dev, libfontconfig1-dev,
  libtwolame-dev, libopus-dev, libfdk-aac-dev (>= 1:2.0.0~), qtbase5-dev,
  libpython3-dev, libqt5opengl5-dev, qtscript5-dev, libx265-dev (>= 1:2.8~),
- nv-codec-headers [amd64 arm64], libaom-dev
+ nv-codec-headers [amd64 arm64], libaom-dev, libglu1-mesa-dev,
 
 Package: avidemux
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,13 @@
 
 CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true -DUSE_EXTERNAL_LIBA52=true \
-	-DUSE_EXTERNAL_LIBMAD=true -DUSE_EXTERNAL_MP4V2=true -DENABLE_QT5=True \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo -DVAPOURSYNTH=OFF
+CONFIGURE_OPTIONS = -DUSE_EXTERNAL_LIBASS=true \
+		-DUSE_EXTERNAL_LIBA52=true \
+		-DUSE_EXTERNAL_LIBMAD=true \
+		-DUSE_EXTERNAL_MP4V2=true \
+		-DENABLE_QT5=True \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DVAPOURSYNTH=OFF
 
 ##-DCMAKE_CONFIG_RUNTIME_CPUDETECT=False
 
@@ -25,13 +29,15 @@
 
 FFMPEG_VERSION = $(shell grep FFMPEG_VERSION cmake/admFFmpegVersion.cmake | cut -d'"' -f2)
 
-ifneq "$(FFMPEG_VERSION)" "4.4.2"
-	exit 1
-endif
+#ifneq "$(FFMPEG_VERSION)" "4.4.2"
+#	exit 1
+#endif
 
-LOCAL_FFMPEG = 4-4-6
+LOCAL_FFMPEG = 7-0-3
 
 export QT_SELECT=5
+
+# ninja doesn't work 04/04/2023
 
 %:
 	dh $@ -Scmake --with quilt -X.h -X.cmake
